Bug 846699 - nfsiostat - two binaries with the same name
Summary: nfsiostat - two binaries with the same name
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sysstat
Version: 7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Peter Schiffer
QA Contact: Branislav Náter
Milan Navratil
URL:
Whiteboard:
Keywords: Upstream
Depends On:
Blocks: 1289025
TreeView+ depends on / blocked
 
Reported: 2012-08-08 13:05 UTC by Branislav Náter
Modified: 2016-11-04 03:47 UTC (History)
6 users (show)

(edit)
`/usr/bin/nfsiostat` provided by _sysstat_ has been deprecated in favor of `/sbin/nfsiostat` provided by _nfs-utils_

Previously, two packages provided executables of the same name: the _sysstat_ packages provided `/usr/bin/nfsiostat` and the _nfs-utils_ packages provided `/sbin/nfsiostat`. As a consequence, it was not clear which binary was executed unless the full path was specified. The *nfsiostat* utility provided by _sysstat_ has been deprecated in favor of the one provided by _nfs-utils_. In a transition period, the `nfsiostat` binary from the _sysstat_ packages is renamed to *nfsiostat-sysstat*.
Clone Of:
(edit)
Last Closed: 2016-11-04 03:47:15 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:2327 normal SHIPPED_LIVE sysstat bug fix and enhancement update 2016-11-03 13:43:59 UTC

Description Branislav Náter 2012-08-08 13:05:13 UTC
I'm not sure if this component or nfs-utils will have to solve this, so feel free to re-assign. 

Description of problem:
Curently we have two utilities with the same name on RHEL-7 systems:

/usr/bin/nfsiostat from sysstat package and
/sbin/nfsiostat from nfs-utils package.

When running "nfsiostat" as root, we are running different utility than regular user, which is confusing. Also man nfsiostat points to one from sysstat package.

What can we do about this? Thanks.

Version-Release number of selected component (if applicable):
sysstat-10.0.3-2.el7
nfs-utils-1.2.6-0.el7

Comment 3 Peter Schiffer 2012-11-16 14:39:16 UTC
We agreed with Steve to address this issue in nfs-utils package.

Comment 6 Ludek Smid 2014-06-26 10:43:24 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Comment 7 Ludek Smid 2014-06-26 11:14:35 UTC
The comment above is incorrect. The correct version is bellow.
I'm sorry for any inconvenience.
---------------------------------------------------------------

This request was NOT resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you need
to escalate this bug.

Comment 10 Scott Mayhew 2015-06-03 15:12:56 UTC
This also affects nfsometer, which is also shipped in rhel7.  nfsometer expects the nfsiostat output format to match that of the nfs-utils version of the command, not the sysstat version of the command.  As a result, nfsometer will log errors like this:

nfsometer_trace-cthon-redhat-82.nfsv4bat.org-1433341725.03/:
More than one NFS mount found, this will skew global stats like nfsstats
nfsometer_trace-cthon-redhat-82.nfsv4bat.org-1433341665.4/:
More than one NFS mount found, this will skew global stats like nfsstats
nfsometer_trace-cthon-redhat-82.nfsv4bat.org-1433341695.29/:
More than one NFS mount found, this will skew global stats like nfsstats

and the throughput stats (Read KB/s, Write KB/s, Read Operations/s, Write operations/s, Read Average KB per Operation, Write Average KB per Operation, Read Average RTT, Write Average RTT) will be completely missing from the report.

Comment 12 Steve Dickson 2016-02-10 15:42:09 UTC
(In reply to Branislav Náter from comment #0)
> I'm not sure if this component or nfs-utils will have to solve this, so feel
> free to re-assign. 
> 
> Description of problem:
> Curently we have two utilities with the same name on RHEL-7 systems:
> 
> /usr/bin/nfsiostat from sysstat package and
> /sbin/nfsiostat from nfs-utils package.
> 
> When running "nfsiostat" as root, we are running different utility than
> regular user, which is confusing. Also man nfsiostat points to one from
> sysstat package.
> 
> What can we do about this? Thanks.
> 
> Version-Release number of selected component (if applicable):
> sysstat-10.0.3-2.el7
> nfs-utils-1.2.6-0.el7

Looking at the upstream version (f23) of sysstat it
seemes they have changed the name of nfsiostat to
nfsiostat-sysstat. See sysstat-11.1.5-1.fc23

Comment 21 errata-xmlrpc 2016-11-04 03:47:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-2327.html


Note You need to log in before you can comment on or make changes to this bug.